Bug 953051 - npm: help doesn't work
npm: help doesn't work
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: npm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-17 05:08 EDT by Stanislav Ochotnicky
Modified: 2013-08-01 16:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: nodejs-callsite-1.0.0-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 21:57:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed fix (2.20 KB, patch)
2013-04-17 05:08 EDT, Stanislav Ochotnicky
no flags Details | Diff

  None (edit)
Description Stanislav Ochotnicky 2013-04-17 05:08:35 EDT
Created attachment 736738 [details]
Proposed fix

Description of problem:
Invocation of "npm help npm" should open up manpage of npm, but it fails due to manpage renames.

There are two options:
 * Fix the help code to deal with added "npm-" prefix and ".gz" suffix
 * Install compat symlinks into npm man directory itself

Since second options seemed like less maintenance burden I implemented it. Note that due to RPM bug 646523 there was a need for a hack to make it possible to update from older versions (symlink -> directory changes are not supported)

Version-Release number of selected component (if applicable):
1.2.17-4
Comment 1 T.C. Hollingsworth 2013-04-17 18:40:43 EDT
Applied, thanks!
Comment 2 Fedora Update System 2013-04-17 19:02:34 EDT
nodejs-oauth-sign-0.2.0-1.fc18, nodejs-tunnel-agent-0.2.0-1.fc18, nodejs-json-stringify-safe-4.0.0-2.fc18, nodejs-aws-sign-0.2.0-1.fc18, npm-1.2.17-5.fc18, nodejs-tobi-cookie-0.2.0-1.fc18, nodejs-npm-registry-client-0.2.20-1.fc18, nodejs-tar-0.1.17-1.fc18, nodejs-lru-cache-2.3.0-1.fc18, node-gyp-0.9.5-1.fc18, nodejs-forever-agent-0.2.0-1.fc18, nodejs-cryptiles-0.2.0-1.fc18, nodejs-hoek-0.8.1-1.fc18, nodejs-sntp-0.2.1-1.fc18, nodejs-hawk-0.12.1-1.fc18, nodejs-request-2.16.6-2.fc18, nodejs-boom-0.4.0-1.fc18, nodejs-read-package-json-0.3.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5154/nodejs-tobi-cookie-0.2.0-1.fc18,nodejs-npm-registry-client-0.2.20-1.fc18,nodejs-tar-0.1.17-1.fc18,nodejs-lru-cache-2.3.0-1.fc18,node-gyp-0.9.5-1.fc18,npm-1.2.17-5.fc18,nodejs-json-stringify-safe-4.0.0-2.fc18,nodejs-aws-sign-0.2.0-1.fc18,nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18,nodejs-forever-agent-0.2.0-1.fc18,nodejs-cryptiles-0.2.0-1.fc18,nodejs-hoek-0.8.1-1.fc18,nodejs-sntp-0.2.1-1.fc18,nodejs-hawk-0.12.1-1.fc18,nodejs-request-2.16.6-2.fc18,nodejs-boom-0.4.0-1.fc18,nodejs-read-package-json-0.3.0-3.fc18
Comment 3 Fedora Update System 2013-04-17 19:03:14 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, npm-1.2.17-5.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19, nodejs-boom-0.4.0-1.fc19, nodejs-read-package-json-0.3.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-4914/nodejs-tobi-cookie-0.2.0-1.fc19,nodejs-npm-registry-client-0.2.20-1.fc19,nodejs-tar-0.1.17-1.fc19,nodejs-lru-cache-2.3.0-1.fc19,node-gyp-0.9.5-1.fc19,npm-1.2.17-5.fc19,nodejs-json-stringify-safe-4.0.0-2.fc19,nodejs-aws-sign-0.2.0-1.fc19,nodejs-oauth-sign-0.2.0-1.fc19,nodejs-tunnel-agent-0.2.0-1.fc19,nodejs-forever-agent-0.2.0-1.fc19,nodejs-cryptiles-0.2.0-1.fc19,nodejs-hoek-0.8.1-1.fc19,nodejs-sntp-0.2.1-1.fc19,nodejs-hawk-0.12.1-1.fc19,nodejs-request-2.16.6-2.fc19,nodejs-boom-0.4.0-1.fc19,nodejs-read-package-json-0.3.0-3.fc19
Comment 4 Fedora Update System 2013-04-17 19:06:23 EDT
npm-1.2.17-5.el6, nodejs-chmodr-0.1.0-3.el6, nodejs-tobi-cookie-0.2.0-2.el6, node-gyp-0.9.5-2.el6, nodejs-abbrev-1.0.4-4.el6, nodejs-ansi-0.1.2-6.el6, nodejs-archy-0.0.2-7.el6, nodejs-async-0.2.6-2.el6, nodejs-aws-sign-0.2.0-2.el6, nodejs-bindings-1.1.0-2.el6, nodejs-block-stream-0.0.6-6.el6, nodejs-boom-0.4.0-2.el6, nodejs-chownr-0.0.1-8.el6, nodejs-combined-stream-0.0.4-2.el6, nodejs-config-chain-1.1.5-2.el6, nodejs-couch-login-0.1.15-4.el6, nodejs-cryptiles-0.2.0-2.el6, nodejs-delayed-stream-0.0.5-4.el6, nodejs-forever-agent-0.2.0-2.el6, nodejs-form-data-0.0.7-2.el6, nodejs-fstream-0.1.22-2.el6, nodejs-fstream-ignore-0.0.6-2.el6, nodejs-fstream-npm-0.1.4-2.el6, nodejs-glob-3.1.21-2.el6, nodejs-graceful-fs-1.2.0-2.el6, nodejs-hawk-0.12.1-2.el6, nodejs-hoek-0.8.1-2.el6, nodejs-inherits-1.0.0-8.el6, nodejs-ini-1.1.0-2.el6, nodejs-init-package-json-0.0.7-5.el6, nodejs-json-stringify-safe-4.0.0-3.el6, nodejs-lockfile-0.3.0-2.el6, nodejs-lru-cache-2.3.0-2.el6, nodejs-mime-1.2.9-2.el6, nodejs-minimatch-0.2.11-2.el6, nodejs-mkdirp-0.3.5-2.el6, nodejs-mute-stream-0.0.3-5.el6, nodejs-node-uuid-1.4.0-3.el6, nodejs-nopt-2.1.1-2.el6, nodejs-npmconf-0.0.23-2.el6, nodejs-npmlog-0.0.2-4.el6, nodejs-npm-registry-client-0.2.20-2.el6, nodejs-oauth-sign-0.2.0-2.el6, nodejs-once-1.1.1-4.el6, nodejs-opener-1.3.0-6.el6, nodejs-opts-1.2.2-4.el6, nodejs-osenv-0.0.3-4.el6, nodejs-promzard-0.2.0-5.el6, nodejs-proto-list-1.2.2-4.el6, nodejs-qs-0.5.6-2.el6, nodejs-read-1.0.4-6.el6, nodejs-read-installed-0.1.1-2.el6, nodejs-read-package-json-0.3.0-4.el6, nodejs-request-2.16.6-3.el6, nodejs-retry-0.6.0-4.el6, nodejs-rimraf-2.1.4-2.el6, nodejs-semver-1.1.4-2.el6, nodejs-sigmund-1.0.0-4.el6, nodejs-slide-1.1.3-6.el6, nodejs-sntp-0.2.1-2.el6, nodejs-tar-0.1.17-2.el6, nodejs-tunnel-agent-0.2.0-2.el6, nodejs-uid-number-0.0.3-6.el6, nodejs-which-1.0.5-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5447/node-gyp-0.9.5-2.el6,nodejs-abbrev-1.0.4-4.el6,nodejs-ansi-0.1.2-6.el6,nodejs-archy-0.0.2-7.el6,nodejs-async-0.2.6-2.el6,nodejs-aws-sign-0.2.0-2.el6,nodejs-bindings-1.1.0-2.el6,nodejs-block-stream-0.0.6-6.el6,nodejs-boom-0.4.0-2.el6,nodejs-chownr-0.0.1-8.el6,nodejs-combined-stream-0.0.4-2.el6,nodejs-config-chain-1.1.5-2.el6,nodejs-couch-login-0.1.15-4.el6,nodejs-cryptiles-0.2.0-2.el6,nodejs-delayed-stream-0.0.5-4.el6,nodejs-forever-agent-0.2.0-2.el6,nodejs-form-data-0.0.7-2.el6,nodejs-fstream-0.1.22-2.el6,nodejs-fstream-ignore-0.0.6-2.el6,nodejs-fstream-npm-0.1.4-2.el6,nodejs-glob-3.1.21-2.el6,nodejs-graceful-fs-1.2.0-2.el6,nodejs-hawk-0.12.1-2.el6,nodejs-hoek-0.8.1-2.el6,nodejs-inherits-1.0.0-8.el6,nodejs-ini-1.1.0-2.el6,nodejs-init-package-json-0.0.7-5.el6,nodejs-json-stringify-safe-4.0.0-3.el6,nodejs-lockfile-0.3.0-2.el6,nodejs-lru-cache-2.3.0-2.el6,nodejs-mime-1.2.9-2.el6,nodejs-minimatch-0.2.11-2.el6,nodejs-mkdirp-0.3.5-2.el6,nodejs-mute-stream-0.0.3-5.el6,nodejs-node-uuid-1.4.0-3.el6,nodejs-nopt-2.1.1-2.el6,nodejs-npmconf-0.0.23-2.el6,nodejs-npmlog-0.0.2-4.el6,nodejs-npm-registry-client-0.2.20-2.el6,nodejs-oauth-sign-0.2.0-2.el6,nodejs-once-1.1.1-4.el6,nodejs-opener-1.3.0-6.el6,nodejs-opts-1.2.2-4.el6,nodejs-osenv-0.0.3-4.el6,nodejs-promzard-0.2.0-5.el6,nodejs-proto-list-1.2.2-4.el6,nodejs-qs-0.5.6-2.el6,nodejs-read-1.0.4-6.el6,nodejs-read-installed-0.1.1-2.el6,nodejs-read-package-json-0.3.0-4.el6,nodejs-request-2.16.6-3.el6,nodejs-retry-0.6.0-4.el6,nodejs-rimraf-2.1.4-2.el6,nodejs-semver-1.1.4-2.el6,nodejs-sigmund-1.0.0-4.el6,nodejs-slide-1.1.3-6.el6,nodejs-sntp-0.2.1-2.el6,nodejs-tar-0.1.17-2.el6,nodejs-tunnel-agent-0.2.0-2.el6,nodejs-uid-number-0.0.3-6.el6,nodejs-which-1.0.5-6.el6,npm-1.2.17-5.el6,nodejs-chmodr-0.1.0-3.el6,nodejs-tobi-cookie-0.2.0-2.el6
Comment 5 Fedora Update System 2013-04-18 13:26:40 EDT
Package nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, npm-1.2.17-5.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19, nodejs-boom-0.4.0-1.fc19, nodejs-read-package-json-0.3.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-json-stringify-safe-4.0.0-2.fc19 nodejs-aws-sign-0.2.0-1.fc19 nodejs-oauth-sign-0.2.0-1.fc19 nodejs-tunnel-agent-0.2.0-1.fc19 npm-1.2.17-5.fc19 nodejs-tobi-cookie-0.2.0-1.fc19 nodejs-npm-registry-client-0.2.20-1.fc19 nodejs-tar-0.1.17-1.fc19 nodejs-lru-cache-2.3.0-1.fc19 node-gyp-0.9.5-1.fc19 nodejs-forever-agent-0.2.0-1.fc19 nodejs-cryptiles-0.2.0-1.fc19 nodejs-hoek-0.8.1-1.fc19 nodejs-sntp-0.2.1-1.fc19 nodejs-hawk-0.12.1-1.fc19 nodejs-request-2.16.6-2.fc19 nodejs-boom-0.4.0-1.fc19 nodejs-read-package-json-0.3.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4914/nodejs-tobi-cookie-0.2.0-1.fc19,nodejs-npm-registry-client-0.2.20-1.fc19,nodejs-tar-0.1.17-1.fc19,nodejs-lru-cache-2.3.0-1.fc19,node-gyp-0.9.5-1.fc19,npm-1.2.17-5.fc19,nodejs-json-stringify-safe-4.0.0-2.fc19,nodejs-aws-sign-0.2.0-1.fc19,nodejs-oauth-sign-0.2.0-1.fc19,nodejs-tunnel-agent-0.2.0-1.fc19,nodejs-forever-agent-0.2.0-1.fc19,nodejs-cryptiles-0.2.0-1.fc19,nodejs-hoek-0.8.1-1.fc19,nodejs-sntp-0.2.1-1.fc19,nodejs-hawk-0.12.1-1.fc19,nodejs-request-2.16.6-2.fc19,nodejs-boom-0.4.0-1.fc19,nodejs-read-package-json-0.3.0-3.fc19
then log in and leave karma (feedback).
Comment 6 Stanislav Ochotnicky 2013-04-19 10:59:10 EDT
Hmm, this is not ideal either since man in el6 will not detect compressed manpages *unless* they have .gz extension apparently. 

help.js code however checks for existence of manpage filename without the extension. Between rock and a hard place it seems. In the end we will probably have to modify help.js as well if we want to have a working solution. 

Making upstream fix so that distribution/expected manpages have .gz extension would help somewhat I believe. Manpages would go down from ~190K to 80K in size which is not huge difference overall but still useful IMO
Comment 7 Fedora Update System 2013-04-25 09:58:11 EDT
nodejs-json-stringify-safe-4.0.0-2.fc19, nodejs-aws-sign-0.2.0-1.fc19, nodejs-oauth-sign-0.2.0-1.fc19, nodejs-tunnel-agent-0.2.0-1.fc19, npm-1.2.17-5.fc19, nodejs-tobi-cookie-0.2.0-1.fc19, nodejs-npm-registry-client-0.2.20-1.fc19, nodejs-tar-0.1.17-1.fc19, nodejs-lru-cache-2.3.0-1.fc19, node-gyp-0.9.5-1.fc19, nodejs-forever-agent-0.2.0-1.fc19, nodejs-cryptiles-0.2.0-1.fc19, nodejs-hoek-0.8.1-1.fc19, nodejs-sntp-0.2.1-1.fc19, nodejs-hawk-0.12.1-1.fc19, nodejs-request-2.16.6-2.fc19, nodejs-boom-0.4.0-1.fc19, nodejs-read-package-json-0.3.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 T.C. Hollingsworth 2013-04-25 10:00:50 EDT
Reopening, this isn't fully fixed yet.
Comment 9 Stanislav Ochotnicky 2013-04-25 10:22:39 EDT
For what it's worth I have a patch for upstream npm which would compress man pages. While we are at it, we could also rename them to npm-XXX. I believe it shouldn't matter to upstream that much since they care about "npm help XXX" command to work really, filenames are probably not that important
Comment 10 T.C. Hollingsworth 2013-04-25 11:04:58 EDT
Heh, I started on a patch after I wrote that comment. :-)

Unfortunately, Solaris' `man` doesn't support gzipped man pages, so I don't think your patch will get merged.  :-(

My gut tells me this isn't going to get fixed nicely upstream, so I might as well carry a Fedora-specific patch that does away with all the symlink nonsense for good.  The help code rarely gets touched, so it shouldn't be much of a maintenance burden.
Comment 11 Fedora Update System 2013-04-28 22:54:26 EDT
Package nodejs-oauth-sign-0.2.0-1.fc18, nodejs-tunnel-agent-0.2.0-1.fc18, nodejs-json-stringify-safe-4.0.0-2.fc18, nodejs-aws-sign-0.2.0-1.fc18, npm-1.2.17-5.fc18, nodejs-npm-registry-client-0.2.20-1.fc18, nodejs-tar-0.1.17-1.fc18, nodejs-lru-cache-2.3.0-1.fc18, node-gyp-0.9.5-1.fc18, nodejs-forever-agent-0.2.0-1.fc18, nodejs-cryptiles-0.2.0-1.fc18, nodejs-hoek-0.8.1-1.fc18, nodejs-sntp-0.2.1-1.fc18, nodejs-hawk-0.12.1-1.fc18, nodejs-request-2.16.6-2.fc18, nodejs-boom-0.4.0-1.fc18, nodejs-cookie-jar-0.2.0-5.fc18, nodejs-read-package-json-0.3.0-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-oauth-sign-0.2.0-1.fc18 nodejs-tunnel-agent-0.2.0-1.fc18 nodejs-json-stringify-safe-4.0.0-2.fc18 nodejs-aws-sign-0.2.0-1.fc18 npm-1.2.17-5.fc18 nodejs-npm-registry-client-0.2.20-1.fc18 nodejs-tar-0.1.17-1.fc18 nodejs-lru-cache-2.3.0-1.fc18 node-gyp-0.9.5-1.fc18 nodejs-forever-agent-0.2.0-1.fc18 nodejs-cryptiles-0.2.0-1.fc18 nodejs-hoek-0.8.1-1.fc18 nodejs-sntp-0.2.1-1.fc18 nodejs-hawk-0.12.1-1.fc18 nodejs-request-2.16.6-2.fc18 nodejs-boom-0.4.0-1.fc18 nodejs-cookie-jar-0.2.0-5.fc18 nodejs-read-package-json-0.3.0-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5154/nodejs-npm-registry-client-0.2.20-1.fc18,nodejs-tar-0.1.17-1.fc18,nodejs-lru-cache-2.3.0-1.fc18,node-gyp-0.9.5-1.fc18,npm-1.2.17-5.fc18,nodejs-json-stringify-safe-4.0.0-2.fc18,nodejs-aws-sign-0.2.0-1.fc18,nodejs-oauth-sign-0.2.0-1.fc18,nodejs-tunnel-agent-0.2.0-1.fc18,nodejs-forever-agent-0.2.0-1.fc18,nodejs-cryptiles-0.2.0-1.fc18,nodejs-hoek-0.8.1-1.fc18,nodejs-sntp-0.2.1-1.fc18,nodejs-hawk-0.12.1-1.fc18,nodejs-request-2.16.6-2.fc18,nodejs-boom-0.4.0-1.fc18,nodejs-read-package-json-0.3.0-3.fc18,nodejs-cookie-jar-0.2.0-5.fc18
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-05-04 14:46:09 EDT
npm-1.2.17-5.el6, nodejs-chmodr-0.1.0-3.el6, nodejs-tobi-cookie-0.2.0-2.el6, node-gyp-0.9.5-2.el6, nodejs-abbrev-1.0.4-4.el6, nodejs-ansi-0.1.2-6.el6, nodejs-archy-0.0.2-7.el6, nodejs-async-0.2.6-2.el6, nodejs-aws-sign-0.2.0-2.el6, nodejs-bindings-1.1.0-2.el6, nodejs-block-stream-0.0.6-6.el6, nodejs-boom-0.4.0-2.el6, nodejs-chownr-0.0.1-8.el6, nodejs-combined-stream-0.0.4-2.el6, nodejs-config-chain-1.1.5-2.el6, nodejs-couch-login-0.1.15-4.el6, nodejs-cryptiles-0.2.0-2.el6, nodejs-delayed-stream-0.0.5-4.el6, nodejs-forever-agent-0.2.0-2.el6, nodejs-form-data-0.0.7-2.el6, nodejs-fstream-0.1.22-2.el6, nodejs-fstream-ignore-0.0.6-2.el6, nodejs-fstream-npm-0.1.4-2.el6, nodejs-glob-3.1.21-2.el6, nodejs-graceful-fs-1.2.0-2.el6, nodejs-hawk-0.12.1-2.el6, nodejs-hoek-0.8.1-2.el6, nodejs-inherits-1.0.0-8.el6, nodejs-ini-1.1.0-2.el6, nodejs-init-package-json-0.0.7-5.el6, nodejs-json-stringify-safe-4.0.0-3.el6, nodejs-lockfile-0.3.0-2.el6, nodejs-lru-cache-2.3.0-2.el6, nodejs-mime-1.2.9-2.el6, nodejs-minimatch-0.2.11-2.el6, nodejs-mkdirp-0.3.5-2.el6, nodejs-mute-stream-0.0.3-5.el6, nodejs-node-uuid-1.4.0-3.el6, nodejs-nopt-2.1.1-2.el6, nodejs-npmconf-0.0.23-2.el6, nodejs-npmlog-0.0.2-4.el6, nodejs-npm-registry-client-0.2.20-2.el6, nodejs-oauth-sign-0.2.0-2.el6, nodejs-once-1.1.1-4.el6, nodejs-opener-1.3.0-6.el6, nodejs-opts-1.2.2-4.el6, nodejs-osenv-0.0.3-4.el6, nodejs-promzard-0.2.0-5.el6, nodejs-proto-list-1.2.2-4.el6, nodejs-qs-0.5.6-2.el6, nodejs-read-1.0.4-6.el6, nodejs-read-installed-0.1.1-2.el6, nodejs-read-package-json-0.3.0-4.el6, nodejs-request-2.16.6-3.el6, nodejs-retry-0.6.0-4.el6, nodejs-rimraf-2.1.4-2.el6, nodejs-semver-1.1.4-2.el6, nodejs-sigmund-1.0.0-4.el6, nodejs-slide-1.1.3-6.el6, nodejs-sntp-0.2.1-2.el6, nodejs-tar-0.1.17-2.el6, nodejs-tunnel-agent-0.2.0-2.el6, nodejs-uid-number-0.0.3-6.el6, nodejs-which-1.0.5-6.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 13 T.C. Hollingsworth 2013-05-04 14:54:03 EDT
Sorry, I forgot I shouldn't have pushed that update stable.  :-(

(Though it probably isn't a big deal since this was broken in Fedora for awhile without anyone noticing anyway.)

This will get fixed for real shortly.
Comment 14 T.C. Hollingsworth 2013-06-25 17:03:14 EDT
Sorry for the delay here.  Starting with npm-1.3.0 (available in rawhide now and coming soon to the branches), `npm help` will now use the system paths for manual pages in documentation without need for compatibility symlinks.
Comment 15 Fedora Update System 2013-06-25 17:21:28 EDT
nodejs-callsite-1.0.0-2.fc19,nodejs-inherits1-1.0.0-11.fc19,nodejs-cmd-shim-1.1.0-3.fc19,nodejs-sha-1.0.1-3.fc19,nodejs-editor-0.0.4-2.fc19,nodejs-child-process-close-0.1.1-2.fc19,nodejs-npm-user-validate-0.0.3-1.fc19,nodejs-better-assert-1.0.0-2.fc19,nodejs-normalize-package-data-0.2.0-1.fc19,nodejs-github-url-from-git-1.1.1-2.fc19,nodejs-ctype-0.5.3-3.fc19,nodejs-asn1-0.1.11-3.fc19,nodejs-http-signature-0.10.0-3.fc19,node-gyp-0.10.1-1.fc19,nodejs-ansi-0.2.0-1.fc19,nodejs-aws-sign-0.3.0-1.fc19,nodejs-boom-0.4.2-2.fc19,nodejs-config-chain-1.1.7-1.fc19,nodejs-cookie-jar-0.3.0-1.fc19,nodejs-couch-login-0.1.17-1.fc19,nodejs-cryptiles-0.2.1-1.fc19,nodejs-forever-agent-0.5.0-1.fc19,nodejs-form-data-0.0.10-1.fc19,nodejs-fstream-ignore-0.0.7-1.fc19,nodejs-fstream-npm-0.1.5-1.fc19,nodejs-glob-3.2.1-1.fc19,nodejs-graceful-fs-1.2.2-1.fc19,nodejs-hawk-0.15.0-1.fc19,nodejs-hoek-0.9.1-1.fc19,nodejs-inherits-2.0.0-1.fc19,nodejs-init-package-json-0.0.10-1.fc19,nodejs-json-stringify-safe-5.0.0-1.fc19,nodejs-lockfile-0.3.4-1.fc19,nodejs-npmconf-0.1.1-1.fc19,nodejs-npmlog-0.0.3-1.fc19,nodejs-npm-registry-client-0.2.25-1.fc19,nodejs-oauth-sign-0.3.0-1.fc19,nodejs-read-installed-0.2.2-1.fc19,nodejs-read-package-json-1.1.0-2.fc19,nodejs-request-2.21.0-1.fc19,nodejs-rimraf-2.2.0-1.fc19,nodejs-semver-2.0.7-1.fc19,nodejs-slide-1.1.4-1.fc19,nodejs-sntp-0.2.4-1.fc19,nodejs-tunnel-agent-0.3.0-1.fc19,npm-1.3.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-callsite-1.0.0-2.fc19,nodejs-inherits1-1.0.0-11.fc19,nodejs-cmd-shim-1.1.0-3.fc19,nodejs-sha-1.0.1-3.fc19,nodejs-editor-0.0.4-2.fc19,nodejs-child-process-close-0.1.1-2.fc19,nodejs-npm-user-validate-0.0.3-1.fc19,nodejs-better-assert-1.0.0-2.fc19,nodejs-normalize-package-data-0.2.0-1.fc19,nodejs-github-url-from-git-1.1.1-2.fc19,nodejs-ctype-0.5.3-3.fc19,nodejs-asn1-0.1.11-3.fc19,nodejs-http-signature-0.10.0-3.fc19,node-gyp-0.10.1-1.fc19,nodejs-ansi-0.2.0-1.fc19,nodejs-aws-sign-0.3.0-1.fc19,nodejs-boom-0.4.2-2.fc19,nodejs-config-chain-1.1.7-1.fc19,nodejs-cookie-jar-0.3.0-1.fc19,nodejs-couch-login-0.1.17-1.fc19,nodejs-cryptiles-0.2.1-1.fc19,nodejs-forever-agent-0.5.0-1.fc19,nodejs-form-data-0.0.10-1.fc19,nodejs-fstream-ignore-0.0.7-1.fc19,nodejs-fstream-npm-0.1.5-1.fc19,nodejs-glob-3.2.1-1.fc19,nodejs-graceful-fs-1.2.2-1.fc19,nodejs-hawk-0.15.0-1.fc19,nodejs-hoek-0.9.1-1.fc19,nodejs-inherits-2.0.0-1.fc19,nodejs-init-package-json-0.0.10-1.fc19,nodejs-json-stringify-safe-5.0.0-1.fc19,nodejs-lockfile-0.3.4-1.fc19,nodejs-npmconf-0.1.1-1.fc19,nodejs-npmlog-0.0.3-1.fc19,nodejs-npm-registry-client-0.2.25-1.fc19,nodejs-oauth-sign-0.3.0-1.fc19,nodejs-read-installed-0.2.2-1.fc19,nodejs-read-package-json-1.1.0-2.fc19,nodejs-request-2.21.0-1.fc19,nodejs-rimraf-2.2.0-1.fc19,nodejs-semver-2.0.7-1.fc19,nodejs-slide-1.1.4-1.fc19,nodejs-sntp-0.2.4-1.fc19,nodejs-tunnel-agent-0.3.0-1.fc19,npm-1.3.0-1.fc19
Comment 16 Fedora Update System 2013-06-25 20:27:03 EDT
nodejs-callsite-1.0.0-2.el6,nodejs-inherits1-1.0.0-11.el6,nodejs-cmd-shim-1.1.0-3.el6,nodejs-sha-1.0.1-3.el6,nodejs-editor-0.0.4-2.el6,nodejs-child-process-close-0.1.1-2.el6,nodejs-npm-user-validate-0.0.3-1.el6,nodejs-better-assert-1.0.0-2.el6,nodejs-normalize-package-data-0.1.6-2.el6,nodejs-github-url-from-git-1.1.1-2.el6,nodejs-ctype-0.5.3-3.el6,nodejs-asn1-0.1.11-3.el6,nodejs-http-signature-0.10.0-3.el6,node-gyp-0.10.1-1.el6,nodejs-ansi-0.2.0-1.el6,nodejs-aws-sign-0.3.0-1.el6,nodejs-boom-0.4.0-3.el6,nodejs-config-chain-1.1.7-1.el6,nodejs-cookie-jar-0.3.0-1.el6,nodejs-couch-login-0.1.17-1.el6,nodejs-cryptiles-0.2.1-1.el6,nodejs-forever-agent-0.5.0-1.el6,nodejs-form-data-0.0.10-1.el6,nodejs-fstream-ignore-0.0.7-1.el6,nodejs-fstream-npm-0.1.5-1.el6,nodejs-glob-3.2.1-1.el6,nodejs-graceful-fs-1.2.2-1.el6,nodejs-hawk-0.15.0-1.el6,nodejs-hoek-0.9.1-1.el6,nodejs-inherits-1.0.0-9.el6,nodejs-init-package-json-0.0.10-1.el6,nodejs-json-stringify-safe-5.0.0-1.el6,nodejs-lockfile-0.3.4-1.el6,nodejs-npmconf-0.1.1-1.el6,nodejs-npmlog-0.0.2-5.el6,nodejs-npm-registry-client-0.2.25-1.el6,nodejs-oauth-sign-0.3.0-1.el6,nodejs-read-installed-0.2.2-1.el6,nodejs-read-package-json-1.1.0-2.el6,nodejs-request-2.21.0-1.el6,nodejs-rimraf-2.2.0-1.el6,nodejs-semver-2.0.7-1.el6,nodejs-slide-1.1.3-7.el6,nodejs-sntp-0.2.4-1.el6,nodejs-tunnel-agent-0.3.0-1.el6,npm-1.3.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-callsite-1.0.0-2.el6,nodejs-inherits1-1.0.0-11.el6,nodejs-cmd-shim-1.1.0-3.el6,nodejs-sha-1.0.1-3.el6,nodejs-editor-0.0.4-2.el6,nodejs-child-process-close-0.1.1-2.el6,nodejs-npm-user-validate-0.0.3-1.el6,nodejs-better-assert-1.0.0-2.el6,nodejs-normalize-package-data-0.1.6-2.el6,nodejs-github-url-from-git-1.1.1-2.el6,nodejs-ctype-0.5.3-3.el6,nodejs-asn1-0.1.11-3.el6,nodejs-http-signature-0.10.0-3.el6,node-gyp-0.10.1-1.el6,nodejs-ansi-0.2.0-1.el6,nodejs-aws-sign-0.3.0-1.el6,nodejs-boom-0.4.0-3.el6,nodejs-config-chain-1.1.7-1.el6,nodejs-cookie-jar-0.3.0-1.el6,nodejs-couch-login-0.1.17-1.el6,nodejs-cryptiles-0.2.1-1.el6,nodejs-forever-agent-0.5.0-1.el6,nodejs-form-data-0.0.10-1.el6,nodejs-fstream-ignore-0.0.7-1.el6,nodejs-fstream-npm-0.1.5-1.el6,nodejs-glob-3.2.1-1.el6,nodejs-graceful-fs-1.2.2-1.el6,nodejs-hawk-0.15.0-1.el6,nodejs-hoek-0.9.1-1.el6,nodejs-inherits-1.0.0-9.el6,nodejs-init-package-json-0.0.10-1.el6,nodejs-json-stringify-safe-5.0.0-1.el6,nodejs-lockfile-0.3.4-1.el6,nodejs-npmconf-0.1.1-1.el6,nodejs-npmlog-0.0.2-5.el6,nodejs-npm-registry-client-0.2.25-1.el6,nodejs-oauth-sign-0.3.0-1.el6,nodejs-read-installed-0.2.2-1.el6,nodejs-read-package-json-1.1.0-2.el6,nodejs-request-2.21.0-1.el6,nodejs-rimraf-2.2.0-1.el6,nodejs-semver-2.0.7-1.el6,nodejs-slide-1.1.3-7.el6,nodejs-sntp-0.2.4-1.el6,nodejs-tunnel-agent-0.3.0-1.el6,npm-1.3.0-1.el6
Comment 17 Fedora Update System 2013-06-25 21:00:11 EDT
nodejs-callsite-1.0.0-2.fc18,nodejs-inherits1-1.0.0-11.fc18,nodejs-cmd-shim-1.1.0-3.fc18,nodejs-sha-1.0.1-3.fc18,nodejs-editor-0.0.4-2.fc18,nodejs-child-process-close-0.1.1-2.fc18,nodejs-npm-user-validate-0.0.3-1.fc18,nodejs-better-assert-1.0.0-2.fc18,nodejs-normalize-package-data-0.1.6-2.fc18,nodejs-github-url-from-git-1.1.1-2.fc18,nodejs-ctype-0.5.3-3.fc18,nodejs-asn1-0.1.11-3.fc18,nodejs-http-signature-0.10.0-3.fc18,node-gyp-0.10.1-1.fc18,nodejs-ansi-0.2.0-1.fc18,nodejs-aws-sign-0.3.0-1.fc18,nodejs-boom-0.4.0-3.fc18,nodejs-config-chain-1.1.7-1.fc18,nodejs-cookie-jar-0.3.0-1.fc18,nodejs-couch-login-0.1.17-1.fc18,nodejs-cryptiles-0.2.1-1.fc18,nodejs-forever-agent-0.5.0-1.fc18,nodejs-form-data-0.0.10-1.fc18,nodejs-fstream-ignore-0.0.7-1.fc18,nodejs-fstream-npm-0.1.5-1.fc18,nodejs-glob-3.2.1-1.fc18,nodejs-graceful-fs-1.2.2-1.fc18,nodejs-hawk-0.15.0-1.fc18,nodejs-hoek-0.9.1-1.fc18,nodejs-inherits-1.0.0-9.fc18,nodejs-init-package-json-0.0.10-1.fc18,nodejs-json-stringify-safe-5.0.0-1.fc18,nodejs-lockfile-0.3.4-1.fc18,nodejs-npmconf-0.1.1-1.fc18,nodejs-npmlog-0.0.2-5.fc18,nodejs-npm-registry-client-0.2.25-1.fc18,nodejs-oauth-sign-0.3.0-1.fc18,nodejs-read-installed-0.2.2-1.fc18,nodejs-read-package-json-1.1.0-2.fc18,nodejs-request-2.21.0-1.fc18,nodejs-rimraf-2.2.0-1.fc18,nodejs-semver-2.0.7-1.fc18,nodejs-slide-1.1.3-7.fc18,nodejs-sntp-0.2.4-1.fc18,nodejs-tunnel-agent-0.3.0-1.fc18,npm-1.3.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-callsite-1.0.0-2.fc18,nodejs-inherits1-1.0.0-11.fc18,nodejs-cmd-shim-1.1.0-3.fc18,nodejs-sha-1.0.1-3.fc18,nodejs-editor-0.0.4-2.fc18,nodejs-child-process-close-0.1.1-2.fc18,nodejs-npm-user-validate-0.0.3-1.fc18,nodejs-better-assert-1.0.0-2.fc18,nodejs-normalize-package-data-0.1.6-2.fc18,nodejs-github-url-from-git-1.1.1-2.fc18,nodejs-ctype-0.5.3-3.fc18,nodejs-asn1-0.1.11-3.fc18,nodejs-http-signature-0.10.0-3.fc18,node-gyp-0.10.1-1.fc18,nodejs-ansi-0.2.0-1.fc18,nodejs-aws-sign-0.3.0-1.fc18,nodejs-boom-0.4.0-3.fc18,nodejs-config-chain-1.1.7-1.fc18,nodejs-cookie-jar-0.3.0-1.fc18,nodejs-couch-login-0.1.17-1.fc18,nodejs-cryptiles-0.2.1-1.fc18,nodejs-forever-agent-0.5.0-1.fc18,nodejs-form-data-0.0.10-1.fc18,nodejs-fstream-ignore-0.0.7-1.fc18,nodejs-fstream-npm-0.1.5-1.fc18,nodejs-glob-3.2.1-1.fc18,nodejs-graceful-fs-1.2.2-1.fc18,nodejs-hawk-0.15.0-1.fc18,nodejs-hoek-0.9.1-1.fc18,nodejs-inherits-1.0.0-9.fc18,nodejs-init-package-json-0.0.10-1.fc18,nodejs-json-stringify-safe-5.0.0-1.fc18,nodejs-lockfile-0.3.4-1.fc18,nodejs-npmconf-0.1.1-1.fc18,nodejs-npmlog-0.0.2-5.fc18,nodejs-npm-registry-client-0.2.25-1.fc18,nodejs-oauth-sign-0.3.0-1.fc18,nodejs-read-installed-0.2.2-1.fc18,nodejs-read-package-json-1.1.0-2.fc18,nodejs-request-2.21.0-1.fc18,nodejs-rimraf-2.2.0-1.fc18,nodejs-semver-2.0.7-1.fc18,nodejs-slide-1.1.3-7.fc18,nodejs-sntp-0.2.4-1.fc18,nodejs-tunnel-agent-0.3.0-1.fc18,npm-1.3.0-1.fc18
Comment 18 Fedora Update System 2013-06-26 13:04:51 EDT
Package nodejs-callsite-1.0.0-2.fc19, nodejs-inherits1-1.0.0-11.fc19, nodejs-cmd-shim-1.1.0-3.fc19, nodejs-sha-1.0.1-3.fc19, nodejs-editor-0.0.4-2.fc19, nodejs-child-process-close-0.1.1-2.fc19, nodejs-npm-user-validate-0.0.3-1.fc19, nodejs-better-assert-1.0.0-2.fc19, nodejs-normalize-package-data-0.2.0-1.fc19, nodejs-github-url-from-git-1.1.1-2.fc19, nodejs-ctype-0.5.3-3.fc19, nodejs-asn1-0.1.11-3.fc19, nodejs-http-signature-0.10.0-3.fc19, node-gyp-0.10.1-1.fc19, nodejs-ansi-0.2.0-1.fc19, nodejs-aws-sign-0.3.0-1.fc19, nodejs-boom-0.4.2-2.fc19, nodejs-config-chain-1.1.7-1.fc19, nodejs-cookie-jar-0.3.0-1.fc19, nodejs-couch-login-0.1.17-1.fc19, nodejs-cryptiles-0.2.1-1.fc19, nodejs-forever-agent-0.5.0-1.fc19, nodejs-form-data-0.0.10-1.fc19, nodejs-fstream-ignore-0.0.7-1.fc19, nodejs-fstream-npm-0.1.5-1.fc19, nodejs-glob-3.2.1-1.fc19, nodejs-graceful-fs-1.2.2-1.fc19, nodejs-hawk-0.15.0-1.fc19, nodejs-hoek-0.9.1-1.fc19, nodejs-inherits-2.0.0-1.fc19, nodejs-init-package-json-0.0.10-1.fc19, nodejs-json-stringify-safe-5.0.0-1.fc19, nodejs-lockfile-0.3.4-1.fc19, nodejs-npmconf-0.1.1-1.fc19, nodejs-npmlog-0.0.3-1.fc19, nodejs-npm-registry-client-0.2.25-1.fc19, nodejs-oauth-sign-0.3.0-1.fc19, nodejs-read-installed-0.2.2-1.fc19, nodejs-read-package-json-1.1.0-2.fc19, nodejs-request-2.21.0-1.fc19, nodejs-rimraf-2.2.0-1.fc19, nodejs-semver-2.0.7-1.fc19, nodejs-slide-1.1.4-1.fc19, nodejs-sntp-0.2.4-1.fc19, nodejs-tunnel-agent-0.3.0-1.fc19, npm-1.3.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-callsite-1.0.0-2.fc19 nodejs-inherits1-1.0.0-11.fc19 nodejs-cmd-shim-1.1.0-3.fc19 nodejs-sha-1.0.1-3.fc19 nodejs-editor-0.0.4-2.fc19 nodejs-child-process-close-0.1.1-2.fc19 nodejs-npm-user-validate-0.0.3-1.fc19 nodejs-better-assert-1.0.0-2.fc19 nodejs-normalize-package-data-0.2.0-1.fc19 nodejs-github-url-from-git-1.1.1-2.fc19 nodejs-ctype-0.5.3-3.fc19 nodejs-asn1-0.1.11-3.fc19 nodejs-http-signature-0.10.0-3.fc19 node-gyp-0.10.1-1.fc19 nodejs-ansi-0.2.0-1.fc19 nodejs-aws-sign-0.3.0-1.fc19 nodejs-boom-0.4.2-2.fc19 nodejs-config-chain-1.1.7-1.fc19 nodejs-cookie-jar-0.3.0-1.fc19 nodejs-couch-login-0.1.17-1.fc19 nodejs-cryptiles-0.2.1-1.fc19 nodejs-forever-agent-0.5.0-1.fc19 nodejs-form-data-0.0.10-1.fc19 nodejs-fstream-ignore-0.0.7-1.fc19 nodejs-fstream-npm-0.1.5-1.fc19 nodejs-glob-3.2.1-1.fc19 nodejs-graceful-fs-1.2.2-1.fc19 nodejs-hawk-0.15.0-1.fc19 nodejs-hoek-0.9.1-1.fc19 nodejs-inherits-2.0.0-1.fc19 nodejs-init-package-json-0.0.10-1.fc19 nodejs-json-stringify-safe-5.0.0-1.fc19 nodejs-lockfile-0.3.4-1.fc19 nodejs-npmconf-0.1.1-1.fc19 nodejs-npmlog-0.0.3-1.fc19 nodejs-npm-registry-client-0.2.25-1.fc19 nodejs-oauth-sign-0.3.0-1.fc19 nodejs-read-installed-0.2.2-1.fc19 nodejs-read-package-json-1.1.0-2.fc19 nodejs-request-2.21.0-1.fc19 nodejs-rimraf-2.2.0-1.fc19 nodejs-semver-2.0.7-1.fc19 nodejs-slide-1.1.4-1.fc19 nodejs-sntp-0.2.4-1.fc19 nodejs-tunnel-agent-0.3.0-1.fc19 npm-1.3.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11693/nodejs-callsite-1.0.0-2.fc19,nodejs-inherits1-1.0.0-11.fc19,nodejs-cmd-shim-1.1.0-3.fc19,nodejs-sha-1.0.1-3.fc19,nodejs-editor-0.0.4-2.fc19,nodejs-child-process-close-0.1.1-2.fc19,nodejs-npm-user-validate-0.0.3-1.fc19,nodejs-better-assert-1.0.0-2.fc19,nodejs-normalize-package-data-0.2.0-1.fc19,nodejs-github-url-from-git-1.1.1-2.fc19,nodejs-ctype-0.5.3-3.fc19,nodejs-asn1-0.1.11-3.fc19,nodejs-http-signature-0.10.0-3.fc19,node-gyp-0.10.1-1.fc19,nodejs-ansi-0.2.0-1.fc19,nodejs-aws-sign-0.3.0-1.fc19,nodejs-boom-0.4.2-2.fc19,nodejs-config-chain-1.1.7-1.fc19,nodejs-cookie-jar-0.3.0-1.fc19,nodejs-couch-login-0.1.17-1.fc19,nodejs-cryptiles-0.2.1-1.fc19,nodejs-forever-agent-0.5.0-1.fc19,nodejs-form-data-0.0.10-1.fc19,nodejs-fstream-ignore-0.0.7-1.fc19,nodejs-fstream-npm-0.1.5-1.fc19,nodejs-glob-3.2.1-1.fc19,nodejs-graceful-fs-1.2.2-1.fc19,nodejs-hawk-0.15.0-1.fc19,nodejs-hoek-0.9.1-1.fc19,nodejs-inherits-2.0.0-1.fc19,nodejs-init-package-json-0.0.10-1.fc19,nodejs-json-stringify-safe-5.0.0-1.fc19,nodejs-lockfile-0.3.4-1.fc19,nodejs-npmconf-0.1.1-1.fc19,nodejs-npmlog-0.0.3-1.fc19,nodejs-npm-registry-client-0.2.25-1.fc19,nodejs-oauth-sign-0.3.0-1.fc19,nodejs-read-installed-0.2.2-1.fc19,nodejs-read-package-json-1.1.0-2.fc19,nodejs-request-2.21.0-1.fc19,nodejs-rimraf-2.2.0-1.fc19,nodejs-semver-2.0.7-1.fc19,nodejs-slide-1.1.4-1.fc19,nodejs-sntp-0.2.4-1.fc19,nodejs-tunnel-agent-0.3.0-1.fc19,npm-1.3.0-1.fc19
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-07-04 21:57:56 EDT
nodejs-callsite-1.0.0-2.fc19, nodejs-inherits1-1.0.0-11.fc19, nodejs-cmd-shim-1.1.0-3.fc19, nodejs-sha-1.0.1-3.fc19, nodejs-editor-0.0.4-2.fc19, nodejs-child-process-close-0.1.1-2.fc19, nodejs-npm-user-validate-0.0.3-1.fc19, nodejs-better-assert-1.0.0-2.fc19, nodejs-normalize-package-data-0.2.0-1.fc19, nodejs-github-url-from-git-1.1.1-2.fc19, nodejs-ctype-0.5.3-3.fc19, nodejs-asn1-0.1.11-3.fc19, nodejs-http-signature-0.10.0-3.fc19, node-gyp-0.10.1-1.fc19, nodejs-ansi-0.2.0-1.fc19, nodejs-aws-sign-0.3.0-1.fc19, nodejs-boom-0.4.2-2.fc19, nodejs-config-chain-1.1.7-1.fc19, nodejs-cookie-jar-0.3.0-1.fc19, nodejs-couch-login-0.1.17-1.fc19, nodejs-cryptiles-0.2.1-1.fc19, nodejs-forever-agent-0.5.0-1.fc19, nodejs-form-data-0.0.10-1.fc19, nodejs-fstream-ignore-0.0.7-1.fc19, nodejs-fstream-npm-0.1.5-1.fc19, nodejs-glob-3.2.1-1.fc19, nodejs-graceful-fs-1.2.2-1.fc19, nodejs-hawk-0.15.0-1.fc19, nodejs-hoek-0.9.1-1.fc19, nodejs-inherits-2.0.0-1.fc19, nodejs-init-package-json-0.0.10-1.fc19, nodejs-json-stringify-safe-5.0.0-1.fc19, nodejs-lockfile-0.3.4-1.fc19, nodejs-npmconf-0.1.1-1.fc19, nodejs-npmlog-0.0.3-1.fc19, nodejs-npm-registry-client-0.2.25-1.fc19, nodejs-oauth-sign-0.3.0-1.fc19, nodejs-read-installed-0.2.2-1.fc19, nodejs-read-package-json-1.1.0-2.fc19, nodejs-request-2.21.0-1.fc19, nodejs-rimraf-2.2.0-1.fc19, nodejs-semver-2.0.7-1.fc19, nodejs-slide-1.1.4-1.fc19, nodejs-sntp-0.2.4-1.fc19, nodejs-tunnel-agent-0.3.0-1.fc19, npm-1.3.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-07-22 20:59:12 EDT
nodejs-callsite-1.0.0-2.fc18, nodejs-inherits1-1.0.0-11.fc18, nodejs-cmd-shim-1.1.0-3.fc18, nodejs-editor-0.0.4-2.fc18, nodejs-child-process-close-0.1.1-2.fc18, nodejs-npm-user-validate-0.0.3-1.fc18, nodejs-better-assert-1.0.0-2.fc18, nodejs-github-url-from-git-1.1.1-2.fc18, nodejs-ctype-0.5.3-3.fc18, nodejs-asn1-0.1.11-3.fc18, nodejs-http-signature-0.10.0-3.fc18, nodejs-ansi-0.2.0-1.fc18, nodejs-aws-sign-0.3.0-1.fc18, nodejs-config-chain-1.1.7-1.fc18, nodejs-cookie-jar-0.3.0-1.fc18, nodejs-couch-login-0.1.17-1.fc18, nodejs-cryptiles-0.2.1-1.fc18, nodejs-forever-agent-0.5.0-1.fc18, nodejs-form-data-0.0.10-1.fc18, nodejs-fstream-ignore-0.0.7-1.fc18, nodejs-fstream-npm-0.1.5-1.fc18, nodejs-hawk-0.15.0-1.fc18, nodejs-hoek-0.9.1-1.fc18, nodejs-init-package-json-0.0.10-1.fc18, nodejs-json-stringify-safe-5.0.0-1.fc18, nodejs-npmconf-0.1.1-1.fc18, nodejs-oauth-sign-0.3.0-1.fc18, nodejs-read-installed-0.2.2-1.fc18, nodejs-read-package-json-1.1.0-2.fc18, nodejs-request-2.21.0-1.fc18, nodejs-rimraf-2.2.0-1.fc18, nodejs-sntp-0.2.4-1.fc18, nodejs-tunnel-agent-0.3.0-1.fc18, nodejs-normalize-package-data-0.2.0-1.fc18, nodejs-boom-0.4.2-2.fc18, nodejs-slide-1.1.4-1.fc18, nodejs-inherits-2.0.0-3.fc18, nodejs-vows-0.7.0-6.fc18, npm-1.3.3-1.fc18, nodejs-tap-0.4.1-6.fc18, nodejs-fstream-0.1.23-1.fc18, nodejs-glob-3.2.3-1.fc18, node-gyp-0.10.6-1.fc18, nodejs-lockfile-0.4.0-1.fc18, nodejs-npm-registry-client-0.2.27-1.fc18, nodejs-semver-2.0.10-1.fc18, nodejs-sha-1.0.1-4.fc18, nodejs-graceful-fs-2.0.0-2.fc18, nodejs-npmlog-0.0.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-08-01 16:39:03 EDT
nodejs-callsite-1.0.0-2.el6, nodejs-inherits1-1.0.0-11.el6, nodejs-cmd-shim-1.1.0-3.el6, nodejs-editor-0.0.4-2.el6, nodejs-child-process-close-0.1.1-2.el6, nodejs-npm-user-validate-0.0.3-1.el6, nodejs-better-assert-1.0.0-2.el6, nodejs-github-url-from-git-1.1.1-2.el6, nodejs-ctype-0.5.3-3.el6, nodejs-asn1-0.1.11-3.el6, nodejs-http-signature-0.10.0-3.el6, nodejs-ansi-0.2.0-1.el6, nodejs-aws-sign-0.3.0-1.el6, nodejs-config-chain-1.1.7-1.el6, nodejs-cookie-jar-0.3.0-1.el6, nodejs-couch-login-0.1.17-1.el6, nodejs-cryptiles-0.2.1-1.el6, nodejs-forever-agent-0.5.0-1.el6, nodejs-form-data-0.0.10-1.el6, nodejs-fstream-ignore-0.0.7-1.el6, nodejs-fstream-npm-0.1.5-1.el6, nodejs-hawk-0.15.0-1.el6, nodejs-hoek-0.9.1-1.el6, nodejs-init-package-json-0.0.10-1.el6, nodejs-json-stringify-safe-5.0.0-1.el6, nodejs-npmconf-0.1.1-1.el6, nodejs-oauth-sign-0.3.0-1.el6, nodejs-read-installed-0.2.2-1.el6, nodejs-read-package-json-1.1.0-2.el6, nodejs-request-2.21.0-1.el6, nodejs-rimraf-2.2.0-1.el6, nodejs-sntp-0.2.4-1.el6, nodejs-tunnel-agent-0.3.0-1.el6, nodejs-normalize-package-data-0.2.0-1.el6, nodejs-boom-0.4.2-2.el6, nodejs-slide-1.1.4-1.el6, nodejs-inherits-2.0.0-3.el6, nodejs-vows-0.7.0-6.el6, npm-1.3.3-1.el6, nodejs-tap-0.4.1-6.el6, nodejs-fstream-0.1.23-1.el6, nodejs-glob-3.2.3-1.el6, node-gyp-0.10.6-1.el6, nodejs-lockfile-0.4.0-1.el6, nodejs-npm-registry-client-0.2.27-1.el6, nodejs-semver-2.0.10-1.el6, nodejs-sha-1.0.1-4.el6, nodejs-graceful-fs-2.0.0-2.el6, nodejs-npmlog-0.0.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.